sc::BeckeIntegrationWeight(3)

NAME
sc::BeckeIntegrationWeight - Implements Becke's integration weight scheme.

SYNOPSIS

#include <integrator.h>

Inherits sc::IntegrationWeight.

  Public Methods
BeckeIntegrationWeight ()
BeckeIntegrationWeight (const Ref< KeyVal > &)
BeckeIntegrationWeight (StateIn &)
~BeckeIntegrationWeight ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void init (const Ref< Molecule > &, double tolerance)
Initialize the integration weight object.
void done ()
Called when finished with the integration weight object.
double w (int center, SCVector3 &point, double *grad_w=0)
Computes the weight for a given center at a given point in space.

DETAILED DESCRIPTION

Implements Becke's integration weight scheme.

MEMBER FUNCTION DOCUMENTATION

  void sc::BeckeIntegrationWeight::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::IntegrationWeight.

  double sc::BeckeIntegrationWeight::w (int center, SCVector3 & point, double * grad_w = 0) [virtual]

Computes the weight for a given center at a given point in space.

Derivatives of the weigth with respect to nuclear coordinates are optionally returned in grad_w. This must be called after init, but before done. It must also be thread-safe.

Implements sc::IntegrationWeight.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.